Jump to content
Il server del mese è
Visita la nostra nuova lista server!
salas

Supporto Futuro Alle Opengl

Recommended Posts

In un lontano futuro (almeno dopo la versione 1.8 se non anche dopo) Minecraft non supporterà più le versioni di OpenGL più vecchie della 2.1

Perchè rimuovere il supporto alle versioni più vecchie di OpenGl?

OpenGL 2.1 è stato rilasciato nel 2006 e ormai non si trova quasi più nelle schede grafiche vendute oggi,
Molti dei giochi venduti al giorno d'oggi richiedono la versione 3 o seguenti di OpenGL.
Facendo questo cambiamento aumenteremo notevolmente le performance del gioco e tutto ciò è anche in parte un requisito per il futuro Plugin API di Minecraft


Cos' è OpenGL?

OpenGL è un interfaccia di programmazione per il rendering della grafica. Altre informazioni le potete trovare qui


Come posso sapere se la mia versione di OpenGL è troppo vecchia?
Se la tua versione di OpenGL è troppo vecchia e si sta usando lo snapshot 13w38b o comunque una versione di Minecraft seguente alla 1.6.4 vedrete la seguente schermata di titolo:


Spoiler


Cosa succede se non aggiorno le OpenGL alla versione 2.1 o superiore?

se non si fa l'aggiornamento delle OpenGL, arriverà un momento in cui non si sarà più capaci di aggiornare Minecraft alle versioni più nuove, e si potrà giocare solo alle versioni precedenti il cambiamento.


Come posso aggiornarle ad una versione più nuova?
Alcuni vecchi computer, come vecchi laptops, e i computer della Apple è possibile che non possano essere aggiornati a versioni più nuove.
Per la maggior parte dei desktop PC c'è la possibilità di cambiare la scheda grafica con una più nuova, con migliori performance.
Per informazioni su come aggiornare la vostra scheda grafica, per favore contattate il vostro specialista di hardware locale

By Mojang support

[url=http://www.minecraftitalia.net/articles.html/_/mojang-news/supporto-futuro-alle-opengl-r260]Clicca qui per vedere l'articolo [/url]

Share this post


Link to post
Share on other sites
Guest EneaSuper

Si in effetti. Penso che la modernizzazione della OpenGL sia un ottima cosa, basta lag!

Share this post


Link to post
Share on other sites

È un'ottima cosa ma... mi ricordo di quando avevo un PC obsoleto e mi metto nei panni di chi non potrà più giocarci. Spero cambino al più presto la scheda video, non ci tengo a perdere minecrafters per nulla al mondo.

Comunque sia, speriamo che lo alleggerisca, magari quell'utente che raggiungeva i 40-50 fps un domani ne potrà fare 60-70.

Share this post


Link to post
Share on other sites
Guest

A sto punto, passavano direttamente alla 4.0 XD

Share this post


Link to post
Share on other sites

A sto punto, passavano direttamente alla 4.0 XD

Già c'era gente che si lamentava perché passavano a una roba supportata da ormai 6 anni, pensa se facevano sto grande salto quanti rompiballe diplomati sarebbero saltati fuori!

Share this post


Link to post
Share on other sites
Guest

Già c'era gente che si lamentava perché passavano a una roba supportata da ormai 6 anni, pensa se facevano sto grande salto quanti rompiballe diplomati sarebbero saltati fuori!

 

Non è che cambia molto fra 2008 e 2010, secondo me.

Share this post


Link to post
Share on other sites

Non è che cambia molto fra 2008 e 20010, secondo me.

B'è 18002 anni non sono poi molti...

 

Comunque se ridurrà il lag sarà sempre una cosa ben accetta.

  • Like 1

Share this post


Link to post
Share on other sites

Io, (tempiale) ho una Intel G41 Express Chipset, lo schifo racchiuso in una scheda video. Mi godo gli ultimi giorni/mesi/anni da Minecraftiano.

Ciao. ç_ç

 

Però se uso il mio iMac? MUAHAHA

Share this post


Link to post
Share on other sites

Io, (tempiale) ho una Intel G41 Express Chipset, lo schifo racchiuso in una scheda video. Mi godo gli ultimi giorni/mesi/anni da Minecraftiano.

Ciao. ç_ç

 

Però se uso il mio iMac? MUAHAHA

Con la 1.6.4 ti appare un qualche messaggio strano nel menù principale? Se non ti appare sei a posto!

Share this post


Link to post
Share on other sites

Con la 1.6.4 ti appare un qualche messaggio strano nel menù principale? Se non ti appare sei a posto!

Confermo ciò che ha detto, pensavo che il mio  vecchiotto pc con win Vista non lo reggesse più, invece va alla grande.

(Conta che il pc con vista non è equipaggiato con internet)

Share this post


Link to post
Share on other sites

Confermo ciò che ha detto, pensavo che il mio  vecchiotto pc con win Vista non lo reggesse più, invece va alla grande.

(Conta che il pc con vista non è equipaggiato con internet)

Ma le "modifiche" non sono ancora state fatte! Mi pare logico che ti gira la 1.6.4!

Share this post


Link to post
Share on other sites

Ma le "modifiche" non sono ancora state fatte! Mi pare logico che ti gira la 1.6.4!

Ma se mi dava errori di open gielle quando giocherellavo con la 1.5!

Share this post


Link to post
Share on other sites

Ma se mi dava errori di open gielle quando giocherellavo con la 1.5!

Ah, allora boh...

Share this post


Link to post
Share on other sites
È solo un vantaggio per chi punta in alto e non si scandalizza al fatto che hardware vecchio sia limitato rispetto all'attualità.

Inviato dal mio Galaxy Nexus

Share this post


Link to post
Share on other sites

Con la 1.6.4 ti appare un qualche messaggio strano nel menù principale? Se non ti appare sei a posto!

Non mi dice niente.. quando installo la 1.5 mi dice che Minecraft 1.6 è disponibile (penso sia una cosa che appare a tutti)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.